package cn.iocoder.yudao.module.llm.service.dataset;

import java.util.*;
import javax.validation.*;

import cn.iocoder.yudao.module.llm.controller.admin.dataset.dto.DataJsonTemplate;
import cn.iocoder.yudao.module.llm.controller.admin.dataset.vo.*;
import cn.iocoder.yudao.module.llm.dal.dataobject.dataset.DatasetDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

/**
 * 数据集 Service 接口
 *
 * @author 华大大模型
 */
public interface DatasetService {

    /**
     * 创建数据集
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDataset(@Valid DatasetSaveReqVO createReqVO);

    /**
     * 更新数据集
     *
     * @param updateReqVO 更新信息
     */
    void updateDataset(@Valid DatasetSaveReqVO updateReqVO);

    /**
     * 删除数据集
     *
     * @param id 编号
     */
    void deleteDataset(Long id);

    /**
     * 获得数据集
     *
     * @param id 编号
     * @return 数据集
     */
    DatasetRespVO getDataset(Long id);

    /**
     * 获得数据集分页
     *
     * @param pageReqVO 分页查询
     * @return 数据集分页
     */
    PageResult<DatasetDO> getDatasetPage(DatasetPageReqVO pageReqVO);

    List<DatasetTreeNode>  queryAll();
}